org.wso2.carbon.deployment.synchronizer.stub.types.util

## Class DeploymentSynchronizerConfiguration

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.stub.types.util.DeploymentSynchronizerConfiguration

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class DeploymentSynchronizerConfiguration
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  DeploymentSynchronizerConfiguration bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeploymentSynchronizerConfiguration.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `localAutoCheckout` field for AutoCheckout
    `protected boolean` | `localAutoCheckoutTracker`
    `protected boolean` | `localAutoCommit` field for AutoCommit
    `protected boolean` | `localAutoCommitTracker`
    `protected boolean` | `localEnabled` field for Enabled
    `protected boolean` | `localEnabledTracker`
    `protected long` | `localPeriod` field for Period
    `protected boolean` | `localPeriodTracker`
    `protected RepositoryConfigParameter[]` | `localRepositoryConfigParameters` field for RepositoryConfigParameters This was an Array!
    `protected boolean` | `localRepositoryConfigParametersTracker`
    `protected String` | `localRepositoryType` field for RepositoryType
    `protected boolean` | `localRepositoryTypeTracker`
    `protected boolean` | `localServerBasedConfiguration` field for ServerBasedConfiguration
    `protected boolean` | `localServerBasedConfigurationTracker`
    `protected boolean` | `localUseEventing` field for UseEventing
    `protected boolean` | `localUseEventingTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentSynchronizerConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRepositoryConfigParameters(RepositoryConfigParameter param)` Auto generated add method for the array for convenience
    `boolean` | `getAutoCheckout()` Auto generated getter method
    `boolean` | `getAutoCommit()` Auto generated getter method
    `boolean` | `getEnabled()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `long` | `getPeriod()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `RepositoryConfigParameter[]` | `getRepositoryConfigParameters()` Auto generated getter method
    `String` | `getRepositoryType()` Auto generated getter method
    `boolean` | `getServerBasedConfiguration()` Auto generated getter method
    `boolean` | `getUseEventing()` Auto generated getter method
    `boolean` | `isAutoCheckoutSpecified()`
    `boolean` | `isAutoCommitSpecified()`
    `boolean` | `isEnabledSpecified()`
    `boolean` | `isPeriodSpecified()`
    `boolean` | `isRepositoryConfigParametersSpecified()`
    `boolean` | `isRepositoryTypeSpecified()`
    `boolean` | `isServerBasedConfigurationSpecified()`
    `boolean` | `isUseEventingSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setAutoCheckout(boolean param)` Auto generated setter method
    `void` | `setAutoCommit(boolean param)` Auto generated setter method
    `void` | `setEnabled(boolean param)` Auto generated setter method
    `void` | `setPeriod(long param)` Auto generated setter method
    `void` | `setRepositoryConfigParameters(RepositoryConfigParameter[] param)` Auto generated setter method
    `void` | `setRepositoryType(String param)` Auto generated setter method
    `void` | `setServerBasedConfiguration(boolean param)` Auto generated setter method
    `void` | `setUseEventing(boolean param)` Auto generated setter method
    `protected void` | `validateRepositoryConfigParameters(RepositoryConfigParameter[] param)` validate the array for RepositoryConfigParameters

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localAutoCheckout

          protected boolean localAutoCheckout

      field for AutoCheckout

    - #### localAutoCheckoutTracker

          protected boolean localAutoCheckoutTracker

    - #### localAutoCommit

          protected boolean localAutoCommit

      field for AutoCommit

    - #### localAutoCommitTracker

          protected boolean localAutoCommitTracker

    - #### localEnabled

          protected boolean localEnabled

      field for Enabled

    - #### localEnabledTracker

          protected boolean localEnabledTracker

    - #### localPeriod

          protected long localPeriod

      field for Period

    - #### localPeriodTracker

          protected boolean localPeriodTracker

    - #### localRepositoryConfigParameters

          protected RepositoryConfigParameter[] localRepositoryConfigParameters

      field for RepositoryConfigParameters This was an Array!

    - #### localRepositoryConfigParametersTracker

          protected boolean localRepositoryConfigParametersTracker

    - #### localRepositoryType

          protected String localRepositoryType

      field for RepositoryType

    - #### localRepositoryTypeTracker

          protected boolean localRepositoryTypeTracker

    - #### localServerBasedConfiguration

          protected boolean localServerBasedConfiguration

      field for ServerBasedConfiguration

    - #### localServerBasedConfigurationTracker

          protected boolean localServerBasedConfigurationTracker

    - #### localUseEventing

          protected boolean localUseEventing

      field for UseEventing

    - #### localUseEventingTracker

          protected boolean localUseEventingTracker

  - ### Constructor Detail

    - #### DeploymentSynchronizerConfiguration

          public DeploymentSynchronizerConfiguration()

  - ### Method Detail

    - #### isAutoCheckoutSpecified

          public boolean isAutoCheckoutSpecified()

    - #### getAutoCheckout

          public boolean getAutoCheckout()

      Auto generated getter method
      Returns:
        boolean

    - #### setAutoCheckout

          public void setAutoCheckout(boolean param)

      Auto generated setter method
      Parameters:
        `param` - AutoCheckout

    - #### isAutoCommitSpecified

          public boolean isAutoCommitSpecified()

    - #### getAutoCommit

          public boolean getAutoCommit()

      Auto generated getter method
      Returns:
        boolean

    - #### setAutoCommit

          public void setAutoCommit(boolean param)

      Auto generated setter method
      Parameters:
        `param` - AutoCommit

    - #### isEnabledSpecified

          public boolean isEnabledSpecified()

    - #### getEnabled

          public boolean getEnabled()

      Auto generated getter method
      Returns:
        boolean

    - #### setEnabled

          public void setEnabled(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Enabled

    - #### isPeriodSpecified

          public boolean isPeriodSpecified()

    - #### getPeriod

          public long getPeriod()

      Auto generated getter method
      Returns:
        long

    - #### setPeriod

          public void setPeriod(long param)

      Auto generated setter method
      Parameters:
        `param` - Period

    - #### isRepositoryConfigParametersSpecified

          public boolean isRepositoryConfigParametersSpecified()

    - #### getRepositoryConfigParameters

          public RepositoryConfigParameter[] getRepositoryConfigParameters()

      Auto generated getter method
      Returns:
        org.wso2.carbon.deployment.synchronizer.stub.types.util.RepositoryConfigParameter[]

    - #### validateRepositoryConfigParameters

          protected void validateRepositoryConfigParameters(RepositoryConfigParameter[] param)

      validate the array for RepositoryConfigParameters

    - #### setRepositoryConfigParameters

          public void setRepositoryConfigParameters(RepositoryConfigParameter[] param)

      Auto generated setter method
      Parameters:
        `param` - RepositoryConfigParameters

    - #### addRepositoryConfigParameters

          public void addRepositoryConfigParameters(RepositoryConfigParameter param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.deployment.synchronizer.stub.types.util.RepositoryConfigParameter

    - #### isRepositoryTypeSpecified

          public boolean isRepositoryTypeSpecified()

    - #### getRepositoryType

          public String getRepositoryType()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setRepositoryType

          public void setRepositoryType(String param)

      Auto generated setter method
      Parameters:
        `param` - RepositoryType

    - #### isServerBasedConfigurationSpecified

          public boolean isServerBasedConfigurationSpecified()

    - #### getServerBasedConfiguration

          public boolean getServerBasedConfiguration()

      Auto generated getter method
      Returns:
        boolean

    - #### setServerBasedConfiguration

          public void setServerBasedConfiguration(boolean param)

      Auto generated setter method
      Parameters:
        `param` - ServerBasedConfiguration

    - #### isUseEventingSpecified

          public boolean isUseEventingSpecified()

    - #### getUseEventing

          public boolean getUseEventing()

      Auto generated getter method
      Returns:
        boolean

    - #### setUseEventing

          public void setUseEventing(boolean param)

      Auto generated setter method
      Parameters:
        `param` - UseEventing

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.